function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Pagination } from '.';
export default {
  component: Pagination,
  title: 'Pagination',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    }
  }
};
export var Default = function Default(props) {
  return /*#__PURE__*/React.createElement(Pagination, props);
};
Default.args = {
  name: undefined,
  pageSize: 10,
  total: 1000
};
export var InitialPage = function InitialPage(props) {
  return /*#__PURE__*/React.createElement(Pagination, _extends({}, props, {
    initialPage: 5,
    pageSize: 10,
    total: 1000
  }));
};
InitialPage.storyName = 'Initial page set to 5';